Bug 199668 - java.util.ConcurrentModificationException at Children$Dupl.updateList(Children.java:1689)
java.util.ConcurrentModificationException at Children$Dupl.updateList(Childre...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Project
7.0
All All
: P3 (vote)
: 7.0.1
Assigned To: Alexander Simon
issues@cnd
EXCEPTIONS_REPORT, 701patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-23 20:22 UTC by Exceptions Reporter
Modified: 2011-09-26 13:35 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (769 bytes, text/plain)
2011-06-23 20:22 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2011-06-23 20:22:04 UTC
This issue was reported manually by stiffuser.
It already has 4 duplicates 


Build: NetBeans IDE 7.0 (Build 201104080000)
VM: Java HotSpot(TM) 64-Bit Server VM, 19.1-b02-334, Java(TM) SE Runtime Environment, 1.6.0_24-b07-334-10M3326
OS: Mac OS X

User Comments:
jocke: added existing items

GUEST: adding files from home directory / with relative path




Stacktrace: 
java.util.ConcurrentModificationException
   at java.util.AbstractList$Itr.checkForComodification(AbstractList.java:372)
   at java.util.AbstractList$Itr.next(AbstractList.java:343)
   at java.util.Collections$UnmodifiableCollection$1.next(Collections.java:1010)
   at org.openide.nodes.Children$Dupl.updateList(Children.java:1689)
   at org.openide.nodes.Children$Keys.setKeys(Children.java:1489)
   at org.netbeans.modules.cnd.makeproject.ui.BaseMakeViewChildren.access$200(BaseMakeViewChildren.java:62)
Comment 1 Exceptions Reporter 2011-06-23 20:22:09 UTC
Created attachment 109085 [details]
stacktrace
Comment 2 Jaroslav Tulach 2011-06-27 07:04:56 UTC
Children.Keys.setKeys(collection) calls Dupl.updateList(collection, ...) and this method uses for (Object o : collection). ConcurrentModificationEx signals that the collection is being modified during this call. It is responsibility of the caller to provide collection which will not be modified during setKeys(...) running.

As all calls arrive from BaseMakeViewChildren, moving there.
Comment 3 Alexander Simon 2011-06-27 10:14:21 UTC
fixed, change set:
http://hg.netbeans.org/releases/rev/05fdd5f2d3b1
Comment 4 Quality Engineering 2011-07-26 13:57:22 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/e393607a53ed
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #199668 java.util.ConcurrentModificationException at Children$Dupl.updateList(Children.java:1689)
Comment 5 Alexander Simon 2011-08-15 10:36:26 UTC
Fix transplanted to release701_fixes on elif:
e393607a53ed transplanted to 2c3851746467
Comment 6 Alexander Pepin 2011-08-23 13:48:31 UTC
verified in dev build #30 (20110823)
Comment 7 Alexander Simon 2011-08-24 11:32:40 UTC
integrated in release701_fixes:
2c3851746467 transplanted to 109f12d8f8be
Comment 8 Quality Engineering 2011-08-25 04:25:54 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/109f12d8f8be
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #199668 java.util.ConcurrentModificationException at Children$Dupl.updateList(Children.java:1689)
(transplanted from 2c3851746467acf43ec3f2899707acbbba41e284)
Comment 9 Alexander Pepin 2011-08-29 15:51:16 UTC
verified in 7.0.1 patch1
Comment 10 Quality Engineering 2011-09-26 13:35:04 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/2c3851746467
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #199668 java.util.ConcurrentModificationException at Children$Dupl.updateList(Children.java:1689)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo